[Scipy-tickets] [SciPy] #1237: Ndimage for Python 3.1

SciPy Trac scipy-tickets@scipy....
Fri Jul 16 21:19:46 CDT 2010


#1237: Ndimage for Python 3.1
---------------------------+------------------------------------------------
 Reporter:  cjgohlke       |       Owner:  somebody    
     Type:  enhancement    |      Status:  needs_review
 Priority:  normal         |   Milestone:  0.9.0       
Component:  scipy.ndimage  |     Version:  devel       
 Keywords:                 |  
---------------------------+------------------------------------------------
Changes (by charris):

  * status:  new => needs_review


Comment:

 It looks like the incompatible changes are the use of "." for the relative
 imports (2.6?) and "n" in PyArg_ParseTuple (2.5). The 2to3 conversion
 program should take care of the imports, but parsing the tuple will
 require 2.5. I think you should raise the possibility of moving the
 required python version up to 2.5 on the list, it will make it much easier
 to deal with some things. But actually it looks like long should be
 sufficient for most image sizes.

-- 
Ticket URL: <http://projects.scipy.org/scipy/ticket/1237#comment:1>
SciPy <http://www.scipy.org>
SciPy is open-source software for mathematics, science, and engineering.


More information about the Scipy-tickets mailing list